Web lists-archives.com

Re: Bug: subcommand autocomplete fails on 2.21.0




On Sat, Apr 06, 2019 at 12:36:30PM -0400, Paul Schreiber wrote:
> With git 2.21.0, tab completion no longer works for subcommands.
> 
> STEPS TO REPRODUCE
> 1. install git 2.21.0 from https://git-scm.com/download/mac
> 2. source /usr/local/etc/bash_completion.d/git-extras (manually, or update your .bashrc/.profile and start a new terminal)
> 2. git clone https://github.com/tj/git-extras
> 3. cd git-extras
> 4. sudo make install

By the looks of it, this installs five commands whose names start with
'del':

  git-delete-branch
  git-delete-merged-branches
  git-delete-submodule
  git-delete-tag
  git-delta

If this is indeed the case, then ...

> 5. change directory to a git repository
> 6. type "git del” and press [tab] 
> 
> EXPECTED
> line is changed to "git delete-merged-branches"

... this behavior would, in fact, be a bug, because 'del' is the
unique prefix of those five commands.

> ACTUAL
> [beep]

And I think this is the right behavior, and on a second TAB it should
list all commands whose name starts with 'del'.

> CONFIG
> macOS 10.13.6 (17G5019) and macOS 10.14 (18E226)
> git 2.21.0
> git-extras 4.8.0-dev
> 
> REGRESSION
> Works as expected with git 2.17.0.